Subject: [Simple] Re: Last Call: draft-ietf-simple-xml-patch-ops (An Extensible Markup Language (XML) Patch Operations Framework Utilizing XML Path Language (XPath) Selectors) to Proposed Standard

From: Julian Reschke <[email-masked]>
Date: Wed, 19 Sep 2007 18:10:36 +0200

Stephane Bortzmeyer wrote:
> I strongly disagree. Xpath 2.0 is *much* more complicated than Xpath

Yes.

> 1.0. Among free software, there is little implementation (or even

Saxon!

> plans) of 2.0. Xpath 2.0 is quite controversial.

I think I disagree. What's controversial is XQuery :-).

> The comparison with IPv4/v6 is wrong. If you start from scratch, IPv6
> is no more complicated than IPv4 (and it is probably the
> opposite). Xpath 2.0 is always much more difficult to implement (for
> instance, it requires schemas).

I though that was truly optional.

> ...

Best regards, Julian

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple